#!/usr/bin/perl -w

push @SPECHOOKS, sub {
    my ($spec, $parent) = @_;
    foreach my $section ($spec->get_sections()) {
	my $type=$section->get_type();
	next if $type ne 'post' and $type ne 'postun' and $type ne 'pre' and $type ne 'preun';
	$section->map_body(sub { $_='' if /^\s*\%(?:update|clean)_menus\s*$/; } );
	if ($section->is_empty()) {
	    $section->delete;
	}
    }
};

1;
