#!/usr/bin/perl -w

use RPM::Source::SpecConst;

push @SPECHOOKS, sub {
    ## $spec is RPM::Source::Editor object.
    ## $sec(tion) is RPM::Source::SpecSection object.
    my ($spec, $pkgname) = @_;
    foreach my $section ($spec->get_sections()) {
	my $sectype=$section->get_type();
	next if not $RPM::Source::SpecConst::SCRIPT_SECTION{$sectype};
	$section->map_body(
	    sub {
		return if /^\s*#/;
		s!(^|\s|;|/)useradd(\s[^;#]*)-n!${1}useradd${2}-N!;
	    }
	    );
    }
};
1;
